<?php


	add_action( 'admin_menu', 'add_ainia_user_statistics_to_menu'  );	

	function add_ainia_user_statistics_to_menu() 
	{	
		global $ainia_create_user_statistics_admin_page;	
		$ainia_create_user_statistics_admin_page=add_submenu_page($parent_slug, $page_title, $menu_title, $capability, $menu_slug);
		//$ainia_create_user_statistics_admin_page=add_menu_page(__('iWatch Adminitration','ainia'), 'Admin-iWatch', 'manage_categories', basename(__FILE__), 'show_ainia_options_page');		
			$ainia_create_user_statistics_admin_page=add_menu_page(__('Estadísticas usuarios','ainia'), 'Estadísticas', 'manage_categories', 'user-statistics-options','show_ainia_user_statistics_page');		
			add_submenu_page( 'user-statistics-options', 'Estadísticas por Empresa-Usuario', 'Estadísticas por Empresa-Usuario', 'manage_categories','user-statistics-options-1','show_ainia_user_statistics_page');
			add_submenu_page( 'user-statistics-options', 'Estadísticas por Concepto', 'Estadísticas por Concepto', 'manage_categories','user-statistics-options-2','show_ainia_concepts_statistics_page');
			
			remove_submenu_page( 'user-statistics-options', 'user-statistics-options' );
	}

	
	function show_ainia_user_statistics_page(){
		
		global $exportar;
		
		if ( !current_user_can( 'manage_categories' ) )
			wp_die( __( 'You do not have sufficient permissions to access this page.', 'ainia' ) );
			?>
			<SCRIPT language=JavaScript>
					function reload(form){
					var val=form.dominio.options[form.dominio.options.selectedIndex].value;
					var fechaIni=form.fechaIni.value;
					var fechaFin=form.fechaFin.value;
					
					self.location='admin.php?page=user-statistics-options-1&dominio=' + val + '&fechaIni='+fechaIni+'&fechaFin='+fechaFin;
					}
			</script>
			<div class="wrap"  width="90%" height="100%">
							
		<h2><?php _e( 'Estadísticas de uso - Empresa', 'ainia' ); ?></h2>
		
		<?php $varDominio=$_GET['dominio'];
		 	  $varUsuario=$_GET['usuario'];
		 	  $var_fecha_ini=$_GET['fechaIni'];
		 	  $var_fecha_fin=$_GET['fechaFin'];
		 	  
		 	  $exportar='disabled style ="background-color:grey;"';
		 	  
		 	  if(!$var_fecha_ini){
		 	  	$var_fecha_ini= date('Y-m-d', strtotime('-30 days'));
		 	  }
	  		if(!$var_fecha_fin){
		 	  	$var_fecha_fin= date('Y-m-d', strtotime('0 days'));
		 	  }
		//$varDominio='cobopa';
			//	echo $varDominio;
		?>
		
		<form method=get name=f1 action="<?php echo home_url( 'wp-admin/admin.php/?page=user-statistics-options-1' ); ?>">
		 <input style="width:80%;margin-bottom:10px;visibility:hidden;" type="text" name="page" value="user-statistics-options-1"><br>
		<?php echo _x( 'Empresa:', 'label' ) ?><br>
		   <select onchange="reload(this.form)" style="width:20%;margin-bottom:10px;" id="dominio" name="dominio">
		    <option value="">Todos</option>
		    <?php
		    $dominios= get_user_company();
		    
		    foreach ($dominios as $dominio) {
		    	$dominio_seleccionado='';
		    	//echo sizeof($var_productos);
		    	if ( strcmp($varDominio, $dominio->dominio) === 0){
		    				$dominio_seleccionado='selected';
		    		}
		    	?>
		      <option value="<?php echo $dominio->dominio;?>" <?php echo $dominio_seleccionado;?>><?php echo $dominio->dominio;?></option>
		    <?php }?>
		  </select><br>
		  
		 <?php echo _x( 'Usuario:', 'label' ) ?><br>

		     <?php
		     if ($varDominio){
		     	echo '<select  style="width:20%;margin-bottom:10px;" id="usuario" name="usuario">';
		     
		     	echo '<option value="">Todos</option>';
		     	 $usuarios=get_users_by_company ($varDominio);
		     	foreach ($usuarios as $usuario) {
				    	$usuario_seleccionado='';
				    	if ($usuario->ID==$varUsuario){
				    		$usuario_seleccionado='selected';
				    		$varUsuarioNombre=	$usuario->display_name;
				    	}
				    	//echo sizeof($var_productos);
				    	/*foreach($var_productos as $producto2){		    	
				    		if ( strcmp($dominio->slug, $producto2) === 0){
				    				$producto_seleccionado='selected';
		    	
				    	}*/
				    	?>
				      <option value="<?php echo $usuario->ID;?>" <?php echo $usuario_seleccionado;?> ><?php echo $usuario->display_name;?></option>
		     	<?php 
		     	
		    
		     	}?>
		      
		    <?php } else {
		    	
		    	echo '<select disabled  style="width:20%;margin-bottom:10px;" id="usuario" name="usuario">';
		    	echo '<option value="">Seleccione una empresa</option>';
		      } ?>
		   
		    
	
	
		  </select><br>
		  <div style="width:25%;float:left;">
		   <?php echo _x( 'Desde:', 'label' ) ?><br>
		    <input style="width:80%;margin-bottom:10px;" type="date" name="fechaIni" value=<?php echo $var_fecha_ini?>><br>
		  </div>
		    <div style="width:25%;float:left;">
		    <?php echo _x( 'Hasta:', 'label' ) ?><br>
		    <input style="width:80%;margin-bottom:10px;" type="date" name="fechaFin" value=<?php echo $var_fecha_fin?>><br>
		     </div>
		     <div style="width:1200px;">
		    	<?php //if ($varDominio){
		    	echo '<div style="width:50%;float:left;">';
		    	//if ($company){
		    		echo '<br><h2 style="width:85%;margin: 0 auto;">Articulos leidos por tema para empresa: <u>'.  $varDominio.'</u></h2><br>';
		    	//}else{
		    		//echo '<br><h2 style="width:85%;margin: 0 auto;">20 temáticas más leídas en el periodo seleccionado<u>'.  $varDominio.'</u></h2><br>';
		    	//}
		   		echo generate_company_table($var_fecha_ini,$var_fecha_fin,$varDominio,'','',$exportar);
		   		echo '</div>';
		   		if ($varUsuario){
			    	echo '<div style="width:50%;float:left;">';
			    	echo '<br><h2 style="width:85%;margin: 0 auto;">Articulos leidos por tema para usuario: <u>'.  $varUsuarioNombre.'</u></h2><br>';
			   		echo generate_company_table($var_fecha_ini,$var_fecha_fin,$varDominio,$varUsuario,$varUsuarioNombre,$exportar);
			   		echo '</div>';
		   		}else{
		   			if($varDominio==''){
		   				
		   			echo '<div style="width:50%;float:left;">';
			    	echo '<br><h2 style="width:85%;margin: 0 auto;">Articulos leidos por empresa.</h2><br>';
			   		echo generate_readed_by_company_table($var_fecha_ini,$var_fecha_fin,$varDominio,$varUsuario,$varUsuarioNombre);
			   		echo '</div>';
		   			
		   			}
		   					/*** mostrar tabla leidos por usuario **/
		   			echo '<div style="width:50%;float:left;">';
			    	echo '<br><h2 style="width:85%;margin: 0 auto;">Articulos leidos por usuario: <u>'.  $concepto_nombre.'</u></h2><br>';
			    	//($date_ini,$date_end,$company,$varUsuarioNombre,$concepto)
			   		echo generate_readed_by_user_and_concept_table($var_fecha_ini,$var_fecha_fin,$varDominio,'',$var_concepto,$exportar);
			   		echo '</div>';	
		   		}
		   	//}?>
		   	</div>
		  <input style ="background-color:#009693;" type=submit value='Ver'>
		   <input <?php echo $exportar;?> name="exportacionXLS"  type=submit value='Exportar'>
		  
		  </form>
		   
				
			</div>
				
			
			<?php
			
		if(isset($_GET["exportacionXLS"])) {
		   			exportaXLS3();
		   			
		   		}
		}
		
		function generate_company_table($date_ini,$date_end,$company,$user,$varUsuarioNombre,&$exportar){
			$results=get_readed_by_category($date_ini,$date_end,$company,$user);
			if(sizeof($results)>0){
				$exportar='style ="background-color:#009693;"';
					$html_tabla= $html_tabla.'<table id="tabla_accesos" style="border:1px solid black;width:85%;margin: 0 auto;"><tbody>';
					$html_tabla=$html_tabla.'<tr style="border:1px solid black;">
					<td onclick="sortTable(0,0);" style="width:70%;padding:5px;background-color:#009693;color:white;cursor:pointer;"><b>Concepto</b></td>
					<td onclick="sortTable(1,0);" style="width:20%;padding:5px;background-color:#009693;color:white;cursor:pointer;"><b>Nº Artículos leídos</b></td>';			
					if($user==''){
							$html_tabla=$html_tabla.'<td onclick="sortTable(2,0);" style="width:20%;padding:5px;color:white;background-color:#009693;cursor:pointer;"><b>Nº Usuarios</b></td>';
				
					}
					$html_tabla=$html_tabla.'</tr>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(3,0);" style="padding:5px;background-color:#ff6200;width:20%;cursor:pointer;"><b>Producto</b></td>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(4,0);" style="width:20%;padding:5px;background-color:#ff6200;cursor:pointer;"><b>Riesgo</b></td>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(4,0);" style="width:20%;padding:5px;background-color:#ff6200;cursor:pointer;"><b>Origen</b></td></tr>';
					//echo sizeof($results);
					
					foreach($results as $res ){
					
						$html_tabla=$html_tabla.'<tr><td style="width:2%;padding:2px;">'.$res->name.'</td>
						<td style="width:10%;padding:2px;">'.$res->cuenta_numero_articulos.'</td>';
						if($user==''){
							$html_tabla=$html_tabla.'<td style="width:50px;padding:2px;">'.$res->cuenta_usuarios.'</td></tr>';
						}
						
						$count=$count+1;
					}
					$html_tabla=$html_tabla.'</tbody>
				</table>';
			}else{
				$exportar='disabled style ="background-color:grey;"';
				$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>El usuario '.$varUsuarioNombre.' no tiene artículos leídos en el periodo seleccionado.</i></h2><br>';
				if($user==''){
							$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>La empresa '.$company.' no tiene artículos leídos en el periodo seleccionado.</i></h2><br>';
								if($company==''){
									$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>No hay artículos leídos en el periodo seleccionado.</i></h2><br>';
								}
				}
				
			}
				return $html_tabla;
			
		}
		
		function generate_readed_by_company_table($date_ini,$date_end,$company,$user,$varUsuarioNombre){
			$results=get_readed_by_company($date_ini,$date_end,$company,$user);
			if(sizeof($results)>0){
					$html_tabla= $html_tabla.'<table id="tabla_accesos_empresa" style="border:1px solid black;width:85%;margin: 0 auto;"><tbody>';
					$html_tabla=$html_tabla.'<tr style="border:1px solid black;">
					<td onclick="sortTable(0,0);" style="width:70%;padding:5px;background-color:#009693;color:white;cursor:pointer;"><b>Empresa</b></td>';			
					if($user==''){
							$html_tabla=$html_tabla.'<td onclick="sortTable(2,0);" style="width:20%;padding:5px;color:white;background-color:#009693;cursor:pointer;"><b>Nº Artículos Leídos</b></td>';
				
					}
					$html_tabla=$html_tabla.'</tr>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(3,0);" style="padding:5px;background-color:#ff6200;width:20%;cursor:pointer;"><b>Producto</b></td>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(4,0);" style="width:20%;padding:5px;background-color:#ff6200;cursor:pointer;"><b>Riesgo</b></td>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(4,0);" style="width:20%;padding:5px;background-color:#ff6200;cursor:pointer;"><b>Origen</b></td></tr>';
					//echo sizeof($results);
					
					foreach($results as $res ){
					
						$html_tabla=$html_tabla.'<tr><td style="width:2%;padding:2px;">'.$res->dominio.'</td>
						<td style="width:10%;padding:2px;">'.$res->cuenta_numero_articulos.'</td>';
						
						
						$count=$count+1;
					}
					$html_tabla=$html_tabla.'</tbody>
				</table>';
			}else{
				$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>El usuario '.$varUsuarioNombre.' no tiene artículos leídos en el periodo seleccionado.</i></h2><br>';
				if($user==''){
							$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>La empresa '.$company.' no tiene artículos leídos en el periodo seleccionado.</i></h2><br>';
								if($company==''){
									$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>No hay artículos leídos en el periodo seleccionado.</i></h2><br>';
								}
				}
				
			}
				return $html_tabla;
			
		}
		
	function show_ainia_concepts_statistics_page(){
		global $exportar;
		
		if ( !current_user_can( 'manage_categories' ) )
			wp_die( __( 'You do not have sufficient permissions to access this page.', 'ainia' ) );
			?>
			<SCRIPT language=JavaScript>
					function reload(form){
					var val=form.concepto.options[form.concepto.options.selectedIndex].value;
					var fechaIni=form.fechaIni.value;
					var fechaFin=form.fechaFin.value;
					
					self.location='admin.php?page=user-statistics-options-2&concepto=' + val + '&fechaIni='+fechaIni+'&fechaFin='+fechaFin;
					}
			</script>

			<div class="wrap"  width="90%" height="100%">
							
		<h2><?php _e( 'Estadísticas de uso - Conceptos', 'ainia' ); ?></h2>
		
		<?php $varDominio=$_GET['dominio'];
		 	  $varUsuario=$_GET['usuario'];
		 	  $var_fecha_ini=$_GET['fechaIni'];
		 	  $var_fecha_fin=$_GET['fechaFin'];
		 	   $var_concepto=$_GET['concepto'];
		 	   $exportar='disabled style ="background-color:grey;"';
		 	  
		 	  if(!$var_fecha_ini){
		 	  	$var_fecha_ini= date('Y-m-d', strtotime('-30 days'));
		 	  }
	  		if(!$var_fecha_fin){
		 	  	$var_fecha_fin= date('Y-m-d', strtotime('0 days'));
		 	  }
		//$varDominio='cobopa';
				
		?>
		
		<form method=get name=f1 action="<?php echo home_url( 'wp-admin/admin.php/?page=user-statistics-options-2' ); ?>">
		 <input style="width:80%;margin-bottom:10px;visibility:hidden;" type="text" name="page" value="user-statistics-options-2"><br>
		<?php echo _x( 'Concepto:', 'label' ) ?><br>
		   <select onchange="reload(this.form)" style="width:20%;margin-bottom:10px;" id="concepto" name="concepto">
		    <option value="">Todos</option>
		    <?php
		    $conceptos= get_terms( array(
    								'taxonomy' => 'category',
    								'hide_empty' => false,) );
		    $concepto_nombre='Todos';
		    
		    foreach ($conceptos as $concepto) {
		    	$concepto_seleccionado='';
		    	//echo sizeof($var_productos);
		    	if ( strcmp($var_concepto, $concepto->term_id) === 0){
		    				$concepto_seleccionado='selected';
		    				$concepto_nombre=$concepto->name;
		    		}
		    	?>
		      <option value="<?php echo $concepto->term_id;?>" <?php echo $concepto_seleccionado;?>><?php echo $concepto->name;?></option>
		    <?php }?>
		  </select><br>
		  
	<?php echo _x( 'Empresa:', 'label' ) ?><br>
		   <select style="width:20%;margin-bottom:10px;" id="dominio" name="dominio">
		    <option value="">Todos</option>
		    <?php
		    
		    if(!$var_concepto){
		    	    $dominios= get_user_company();
		     }else {
		    	 $dominios= get_readed_by_company_category_filter($var_fecha_ini,$var_fecha_fin,'',$var_concepto);
		     
		    }

		    foreach ($dominios as $dominio) {
		    	$dominio_seleccionado='';
		    	//echo sizeof($var_productos);
		    	if ( strcmp($varDominio, $dominio->dominio) === 0){
		    				$dominio_seleccionado='selected';
		    		}
		    	?>
		      <option value="<?php echo $dominio->dominio;?>" <?php echo $dominio_seleccionado;?>><?php echo $dominio->dominio;?></option>
		    <?php }?>
		  </select><br>
		   
		  </select><br>
		  <div style="width:25%;float:left;">
		   <?php echo _x( 'Desde:', 'label' ) ?><br>
		    <input style="width:80%;margin-bottom:10px;" type="date" name="fechaIni" value=<?php echo $var_fecha_ini?>><br>
		  </div>
		    <div style="width:25%;float:left;">
		    <?php echo _x( 'Hasta:', 'label' ) ?><br>
		    <input style="width:80%;margin-bottom:10px;" type="date" name="fechaFin" value=<?php echo $var_fecha_fin?>><br>
		     </div>
		     <div style="width:1200px;">
		    	<?php //if ($varDominio){
		    	echo '<div style="width:50%;float:left;">';
		    	//if ($company){
		    		echo '<br><h2 style="width:85%;margin: 0 auto;">Articulos leidos por empresa sobre: <u>'.  $concepto_nombre.'</u></h2><br>';
		    	//}else{
		    		//echo '<br><h2 style="width:85%;margin: 0 auto;">20 temáticas más leídas en el periodo seleccionado<u>'.  $varDominio.'</u></h2><br>';
		    	//}
				echo generate_readed_by_company_and_concept_table($var_fecha_ini,$var_fecha_fin,$varDominio,'',$var_concepto,$exportar);
		   		//echo generate_readed_by_company_and_concept_table($var_fecha_ini,$var_fecha_fin,$varDominio,'',$var_concepto);
		   		echo '</div>';
		   		if ($var_concepto>0){
			    	echo '<div style="width:50%;float:left;">';
			    	echo '<br><h2 style="width:85%;margin: 0 auto;">Articulos leidos por usuario sobre: <u>'.  $concepto_nombre.'</u></h2><br>';
			    	//($date_ini,$date_end,$company,$varUsuarioNombre,$concepto)
			   		echo generate_readed_by_user_and_concept_table($var_fecha_ini,$var_fecha_fin,$varDominio,'',$var_concepto,$exportar);
			   		echo '</div>';
		   		}else{
		   			if($varDominio==''){
		   				
		   			echo '<div style="width:50%;float:left;">';
			    	echo '<br><h2 style="width:85%;margin: 0 auto;">Articulos leidos por concepto.</h2><br>';
			   		echo generate_company_table($var_fecha_ini,$var_fecha_fin,$varDominio,'','',$exportar);;
			   		echo '</div>';
			   		
			   		
		   			
		   			}
		   				
		   		}
		   	//}
		   
		   	
		   		
		   		?>
		   	</div>
		   
		  <input style ="background-color:#009693;" type=submit value='Ver'>
		  
		    <input  <?php echo $exportar;?> name="exportacionXLS" style ="background-color:#009693;" type=submit value='Exportar'>
		  	
		 
				
			</div>
				
			
			<?php
		if(isset($_GET["exportacionXLS"])) {
		   			exportaXLS3();
		   			
		   		}
		}
		
		function generate_readed_by_company_and_concept_table($date_ini,$date_end,$company,$varUsuarioNombre,$concepto,&$exportar){
		
			$results=get_readed_by_company_category_filter($date_ini,$date_end,$company,$concepto);
			if(sizeof($results)>0){
				$exportar='style ="background-color:#009693;"';
				
					$html_tabla= $html_tabla.'<table id="tabla_accesos_empresa" style="border:1px solid black;width:85%;margin: 0 auto;"><tbody>';
					$html_tabla=$html_tabla.'<tr style="border:1px solid black;">
					<td onclick="sortTable(0,0);" style="width:70%;padding:5px;background-color:#009693;color:white;cursor:pointer;"><b>Empresa</b></td>';			
					if($user==''){
							$html_tabla=$html_tabla.'<td onclick="sortTable(2,0);" style="width:20%;padding:5px;color:white;background-color:#009693;cursor:pointer;"><b>Nº Artículos Leídos</b></td>';
				
					}
					$html_tabla=$html_tabla.'</tr>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(3,0);" style="padding:5px;background-color:#ff6200;width:20%;cursor:pointer;"><b>Producto</b></td>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(4,0);" style="width:20%;padding:5px;background-color:#ff6200;cursor:pointer;"><b>Riesgo</b></td>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(4,0);" style="width:20%;padding:5px;background-color:#ff6200;cursor:pointer;"><b>Origen</b></td></tr>';
					//echo sizeof($results);
					
					foreach($results as $res ){
					
						$html_tabla=$html_tabla.'<tr><td style="width:2%;padding:2px;">'.$res->dominio.'</td>
						<td style="width:10%;padding:2px;">'.$res->cuenta_numero_articulos.'</td>';
						
						
						$count=$count+1;
					}
					$html_tabla=$html_tabla.'</tbody>
				</table>';
			}else{
				$exportar='disabled style ="background-color:grey;"';
				$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>El usuario '.$varUsuarioNombre.' no tiene artículos leídos en el periodo seleccionado.</i></h2><br>';
				if($user==''){
							$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>La empresa '.$company.' no tiene artículos leídos en el periodo seleccionado.</i></h2><br>';
								if($company==''){
									$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>No hay artículos leídos en el periodo seleccionado.</i></h2><br>';
								}
				}
				
			}
				return $html_tabla;
			
		}
		
	function generate_readed_by_user_and_concept_table($date_ini,$date_end,$company,$varUsuarioNombre,$concepto,&$exportar){
		
			$results=get_readed_by_user($date_ini,$date_end,$concepto,$company);
			if(sizeof($results)>0){
				$exportar='style ="background-color:#009693;"';
					$html_tabla= $html_tabla.'<table id="tabla_accesos_usuario" style="border:1px solid black;width:85%;margin: 0 auto;"><tbody>';
					$html_tabla=$html_tabla.'<tr style="border:1px solid black;">
					<td onclick="sortTable(0,0);" style="width:70%;padding:5px;background-color:#009693;color:white;cursor:pointer;"><b>Usuario</b></td>';			
					if($company==''){
						$html_tabla=$html_tabla.'<td onclick="sortTable(0,0);" style="width:70%;padding:5px;background-color:#009693;color:white;cursor:pointer;"><b>Empresa</b></td>';	
				
					}
						$html_tabla=$html_tabla.'<td onclick="sortTable(2,0);" style="width:20%;padding:5px;color:white;background-color:#009693;cursor:pointer;"><b>Nº Artículos Leídos</b></td>';
					$html_tabla=$html_tabla.'</tr>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(3,0);" style="padding:5px;background-color:#ff6200;width:20%;cursor:pointer;"><b>Producto</b></td>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(4,0);" style="width:20%;padding:5px;background-color:#ff6200;cursor:pointer;"><b>Riesgo</b></td>';
					//$html_tabla=$html_tabla.'<td onclick="sortTable(4,0);" style="width:20%;padding:5px;background-color:#ff6200;cursor:pointer;"><b>Origen</b></td></tr>';
					//echo sizeof($results);
					
					foreach($results as $res ){
					
						$html_tabla=$html_tabla.'<tr><td style="width:2%;padding:2px;">'.$res->display_name.'</td>';
						if($company==''){
							$html_tabla=$html_tabla.'<td style="width:10%;padding:2px;">'.$res->dominio.'</td>';
						}
						
						$html_tabla=$html_tabla.'<td style="width:10%;padding:2px;">'.$res->cuenta_numero_articulos.'</td>';
						
						
						$count=$count+1;
					}
					$html_tabla=$html_tabla.'</tbody>
				</table>';
			}else{
				$exportar='disabled style ="background-color:grey;"';
				$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>El usuario '.$varUsuarioNombre.' no tiene artículos leídos en el periodo seleccionado.</i></h2><br>';
				if($user==''){
							$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>La empresa '.$company.' no tiene artículos leídos en el periodo seleccionado.</i></h2><br>';
								if($company==''){
									$html_tabla='<h2 style="width:85%;margin: 0 auto;"><i>No hay artículos leídos en el periodo seleccionado.</i></h2><br>';
								}
				}
				
			}
				return $html_tabla;
			
		}
			